#
#	Copyright 2021 Boris Daniel [X93]
#
#	PyLinuxTools is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	PyLinuxTools is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
#	---------------------------------------------------------------------
#
#	Why PyLinuxTools?
#	PyLinuxTools its an all in one, it haves tools for control a lot of
#	things, like the backlight, leds, disks, batterys, procs and more!
#
#	And PyLinuxTools are Open Source and Free Software, following the
#	concept of Richard Stallman. Everybody can help, edit it redistribute
#	but maintaining the credits of the maintaners.
#

import subprocess
import sys
import os

# Get if the platform are not linux
if sys.platform!='linux':
	raise Exception("Now we only support Linux")

version=1.6

# Tested on Arch Linux 5.12.14-arch1-1 Kernel
# Tested on Arch Linux 5.12.15-arch1-1 Kernel
# Tested on Arch Linux 5.12.15-lts Kernel
# Tested on Arch Linux 5.12.15-zen Kernel

# Not works on Android Termux, but maybe works on root

# Some features dont works on chrooted distros because they not
# have an /sys/ dir, but other things can work
